Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### popMatrix()

Examples

    rect(0, 0, 50, 50);   //White rectangle
    pushMatrix();
    translate(30, 20);
    fill(0);
    rect(0, 0, 50, 50);   //Black rectangle
    popMatrix();
    fill(102);
    rect(15, 10, 50, 50); //Gray rectangle

Description

Pops the current transformation matrix off the matrix stack. Understanding pushing and popping requires understanding the concept of a matrix stack. The pushMatrix() function saves the current coordinate system to the stack and popMatrix() restores the prior coordinate system. pushMatrix() and popMatrix() are used in conjuction with the other transformation methods and may be embedded to control the scope of the transformations.

Syntax

    popMatrix()

Parameters

Usage | Web & Application
Related | pushMatrix()

Updated on February 09, 2008 04:38:52pm PST